Apache Tomcat 7.0.42

## org.apache.catalina.ha.session
Class JvmRouteSessionIDBinderListener

    java.lang.Object
      org.apache.catalina.ha.ClusterListener
          org.apache.catalina.ha.session.JvmRouteSessionIDBinderListener

All Implemented Interfaces:
  ChannelListener

Deprecated. Will be removed in Tomcat 8.0.x

    @Deprecated
    public class JvmRouteSessionIDBinderListener

extends ClusterListener

Receive SessionID cluster change from other backup node after primary session node is failed.

Version:
  $Id: JvmRouteSessionIDBinderListener.java 1463105 2013-04-01 07:38:26Z kfujino $
Author:
  Peter Rossbach

Field Summary
`protected static String` `info` Deprecated. The descriptive information about this implementation.
`protected boolean` `started` Deprecated.

Fields inherited from class org.apache.catalina.ha.ClusterListener
`cluster`

Constructor Summary
`JvmRouteSessionIDBinderListener()` Deprecated.

Method Summary
`boolean` `accept(ClusterMessage msg)` Deprecated. Accept only SessionIDMessages
`String` `getInfo()` Deprecated. Return descriptive information about this implementation.
`long` `getNumberOfSessions()` Deprecated.
`void` `messageReceived(ClusterMessage msg)` Deprecated. Callback from the cluster, when a message is received, The cluster will broadcast it invoking the messageReceived on the receiver.
`void` `start()` Deprecated. Add this Mover as Cluster Listener ( receiver)
`void` `stop()` Deprecated. Remove this from Cluster Listener

Methods inherited from class org.apache.catalina.ha.ClusterListener
`accept, equals, getCluster, hashCode, messageReceived, setCluster`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected static final String info

  Deprecated.
  The descriptive information about this implementation.

  See Also:
    Constant Field Values

### started

    protected boolean started

  Deprecated.

Constructor Detail

### JvmRouteSessionIDBinderListener

    public JvmRouteSessionIDBinderListener()

  Deprecated.

Method Detail

### getInfo

    public String getInfo()

  Deprecated.
  Return descriptive information about this implementation.

### getNumberOfSessions

    public long getNumberOfSessions()

  Deprecated.
  Returns:
    Returns the numberOfSessions.

### start

    public void start()
               throws LifecycleException

  Deprecated.
  Add this Mover as Cluster Listener ( receiver)

  Throws:
    `LifecycleException`

### stop

    public void stop()
              throws LifecycleException

  Deprecated.
  Remove this from Cluster Listener

  Throws:
    `LifecycleException`

### messageReceived

    public void messageReceived(ClusterMessage msg)

  Deprecated.
  Callback from the cluster, when a message is received, The cluster will broadcast it invoking the messageReceived on the receiver.

  Specified by:
    `messageReceived` in class `ClusterListener`
  Parameters:
    `msg` - ClusterMessage - the message received from the cluster

### accept

    public boolean accept(ClusterMessage msg)

  Deprecated.
  Accept only SessionIDMessages

  Specified by:
    `accept` in class `ClusterListener`
  Parameters:
    `msg` - ClusterMessage
  Returns:
    boolean - returns true to indicate that messageReceived should be invoked. If false is returned, the messageReceived method will not be invoked.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.